package me.yoqi.app.lizihelper;

import android.content.Intent;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.MotionEvent;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {

    private Button bt1, bt2;
    private TextView tv1;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        bt1 = (Button) findViewById(R.id.btn_start);
        bt2 = (Button) findViewById(R.id.btn_stop);
        tv1=(TextView)findViewById(R.id.txt_hit);

        bt1.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent i = new Intent(MainActivity.this, AutoService.class);
                startService(i);
//                退出app界面，暂停5秒开始循环1000次循环滑动屏幕。
//                startslide();
            }
        });
        bt2.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {

                Intent i = new Intent(MainActivity.this, AutoService.class);
                stopService(i);
            }
        });
    }

    @Override
    public boolean onTouchEvent(MotionEvent event) {
        int x = (int) event.getX();
        int y = (int) event.getY();
        tv1.setText("X at " + x + ";Y at " + y);
        return super.onTouchEvent(event);
    }
}
